#
# spec file for package perl-Apache-Icon (Version 0.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-Icon
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-Icon
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.02
Release:      166
Source:       Apache-Icon-0.02.tar.gz 
Summary:      Lookup icon images
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
This module rips out the icon guts of mod_autoindex and provides a
Perl interface for looking up icon images. The motivation is to
piggy-back the existing *AddIcon* and related directives for mapping
file extensions and names to icons, while keeping things as small and
fast as mod_autoindex does.

Authors:
--------
    Doug MacEachern

SuSE series: perl

%prep 
%setup -n Apache-Icon-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/Icon/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man3/Apache::Icon.3pm.gz
%{perl_sitearch}/auto/Apache/Icon/
%{perl_sitearch}/Apache/Icon.pm
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-Icon
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Nov 22 2000 - ro@suse.de
- fixed to build
* Tue Nov 21 2000 - rolf@suse.de
- extracted from perlmod package
